Bug 823073 - Review Request: php-symfony2-HttpKernel - Symfony2 HttpKernel Component
Review Request: php-symfony2-HttpKernel - Symfony2 HttpKernel Component
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Remi Collet
Fedora Extras Quality Assurance
:
Depends On: php-channel-symfony2 823041 823042 823043 823046 823050 823051 823054 823070
Blocks: 823075
  Show dependency treegraph
 
Reported: 2012-05-18 18:01 EDT by Shawn Iwinski
Modified: 2012-07-20 20:22 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-12 14:58:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
fedora: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
php-symfony2-HttpKernel-review.txt (13.67 KB, text/plain)
2012-06-25 12:11 EDT, Remi Collet
no flags Details

  None (edit)
Comment 1 Shawn Iwinski 2012-05-20 18:10:34 EDT
Updates per comments in bug 823043

- Removed BuildRoot
- Changed php require to php-common
- Added the following requires based on phpci results:
  php-ctype, php-date, php-pcre, php-spl, php-tokenizer
- Removed %%defattr from %%files section
- Removed ownership for directories already owned by required packages

Update per https://bugzilla.redhat.com/show_bug.cgi?id=823041#c5

- Moved documentation to correct location

SPEC URL:
http://people.redhat.com/siwinski/rpmbuild/SPECS/php-symfony2-HttpKernel.spec

SRPM URL:
http://people.redhat.com/siwinski/rpmbuild/SRPMS/php-symfony2-HttpKernel-2.0.14-3.fc16.src.rpm
Comment 2 Shawn Iwinski 2012-05-31 13:28:24 EDT
Updated to upstream version 2.0.15 & updates per bug #817303

- Removed "BuildRequires: php-pear >= 1:1.4.9-1.2"
- Updated %prep section
- Removed cleaning buildroot from %install section
- Removed documentation move from %install section (fixed upstream)
- Removed %clean section
- Updated %doc in %files section

SPEC URL: http://people.redhat.com/siwinski/rpmbuild/SPECS/php-symfony2-HttpKernel.spec

SRPM URL: http://people.redhat.com/siwinski/rpmbuild/SRPMS/php-symfony2-HttpKernel-2.0.15-1.fc16.src.rpm
Comment 3 Shawn Iwinski 2012-06-13 02:23:24 EDT
Added optional requires

- Added php-pear(%{pear_channel}/BrowserKit) require
- Added php-pear(%{pear_channel}/ClassLoader) require
- Added php-pear(%{pear_channel}/Config) require
- Added php-pear(%{pear_channel}/Console) require
- Added php-pear(%{pear_channel}/DependencyInjection) require
- Added php-pear(%{pear_channel}/Finder) require

SPEC URL: http://people.redhat.com/~siwinski/rpmbuild/SPECS/php-symfony2-HttpKernel.spec

SRPM URL: http://people.redhat.com/~siwinski/rpmbuild/SRPMS/php-symfony2-HttpKernel-2.0.15-2.fc17.src.rpm
Comment 4 Remi Collet 2012-06-25 12:11:39 EDT
Created attachment 594231 [details]
php-symfony2-HttpKernel-review.txt

Generated by fedora-review 0.1.3
Comment 5 Remi Collet 2012-06-25 12:14:42 EDT
Optionnal dependencies detected.
HttpKernel-2.0.15/Symfony/Component/HttpKernel/Profiler/MysqlProfilerStorage.php => pdo_mysql
HttpKernel-2.0.15/Symfony/Component/HttpKernel/Profiler/PdoProfilerStorage.php => pdo
HttpKernel-2.0.15/Symfony/Component/HttpKernel/Profiler/SqliteProfilerStorage.php => sqlite3

Probably php-pdo and php-sqlite3 (same package) could be added (no additionnal libraries required, as libsqlite always installed, for rpm)

php-pdo_mysql should be considered
Comment 6 Remi Collet 2012-06-25 12:15:08 EDT
No blocker

=== APPROVED ===
Comment 7 Shawn Iwinski 2012-06-25 13:11:54 EDT
(In reply to comment #5)
> Optionnal dependencies detected.
> HttpKernel-2.0.15/Symfony/Component/HttpKernel/Profiler/MysqlProfilerStorage.
> php => pdo_mysql
> HttpKernel-2.0.15/Symfony/Component/HttpKernel/Profiler/PdoProfilerStorage.
> php => pdo
> HttpKernel-2.0.15/Symfony/Component/HttpKernel/Profiler/
> SqliteProfilerStorage.php => sqlite3
> 
> Probably php-pdo and php-sqlite3 (same package) could be added (no
> additionnal libraries required, as libsqlite always installed, for rpm)

I'll add "php-pdo" and "php-sqlite3" requires after the approved package import.

> php-pdo_mysql should be considered

Looking through the requires for php-pdo_mysql (virtual package of php-mysql), it simply has a require of "php-pdo".  Since "php-pdo" is already going to be required, I'll go ahead and require "php-pdo_mysql" as well so all optional dependencies will be accounted for.

As always, thank Remi!
Comment 8 Shawn Iwinski 2012-06-25 13:14:46 EDT
New Package SCM Request
=======================
Package Name: php-symfony2-HttpKernel
Short Description: Symfony2 HttpKernel Component
Owners: siwinski
Branches: f16 f17 el6
InitialCC:
Comment 9 Gwyn Ciesla 2012-06-26 10:43:28 EDT
Git done (by process-git-requests).
Comment 10 Fedora Update System 2012-06-28 01:34:01 EDT
php-symfony2-HttpKernel-2.0.15-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/php-symfony2-HttpKernel-2.0.15-3.fc17
Comment 11 Fedora Update System 2012-06-28 01:34:34 EDT
php-symfony2-HttpKernel-2.0.15-3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/php-symfony2-HttpKernel-2.0.15-3.fc16
Comment 12 Fedora Update System 2012-06-28 01:34:42 EDT
php-symfony2-HttpKernel-2.0.15-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/php-symfony2-HttpKernel-2.0.15-3.el6
Comment 13 Fedora Update System 2012-06-28 12:06:41 EDT
php-symfony2-HttpKernel-2.0.15-3.el6 has been pushed to the Fedora EPEL 6 testing repository.
Comment 14 Fedora Update System 2012-07-12 14:58:02 EDT
php-symfony2-HttpKernel-2.0.15-3.fc16 has been pushed to the Fedora 16 stable repository.
Comment 15 Fedora Update System 2012-07-12 14:59:25 EDT
php-symfony2-HttpKernel-2.0.15-3.fc17 has been pushed to the Fedora 17 stable repository.
Comment 16 Fedora Update System 2012-07-20 20:22:25 EDT
php-symfony2-HttpKernel-2.0.15-3.el6 has been pushed to the Fedora EPEL 6 stable repository.

Note You need to log in before you can comment on or make changes to this bug.